#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Docstrings are awesome!

Lineendings are UNIX syled (lf)
"""
import pylab as p
import numpy as np # das hauptmodul für die Datenanalyse
import os
import sys
from inspect import getsourcefile
os.chdir(os.path.dirname(os.path.abspath(getsourcefile(lambda:0)))) # nur dafür da, das arbeitsverzeichnis auf den Ordner dieses Skripts zu ändern. Wichtig für die relativen Pfade später. Falls das nicht funktioniert, siehe nächste Zeile.
#os.chdir('/pfad/zum/auswerteprogramm/ordner')
import matplotlib.pyplot as plt  # das modul fürs plotten
from mpl_toolkits import mplot3d  # for plot_surface, meshgrids, etc.
import glob # um mehrere dateien zu laden. aktuell ungenutzt.
import gc # garbage collector


### Loading the data


Mesh=[2175456,1288192,547992,294840,142560,65280,36864,20832]
Genauigkeit=[0.0012,0.005462,0.035785,0.050706,0.0989276,0.13494669,0.1785508]
u2=[0.000015329092157*1000000,0.0000152749136435331*1000000,0.0000151914887937188*1000000,0.0000147282957173448*1000000,0.000014500377159172*1000000,0.0000137638033333333*1000000,0.0000132136146609564*1000000,0.000012547565*1000000]
NN=[1/2175456,1/1288192,1/547992,1/294840,1/142560,1/65280,1/36864,1/20832]

plt.rcParams.update({'font.size': 20})

fig3 = plt.figure(figsize = (8,4))
ax3 = plt.axes()

#plt.plot(Mesh, Genauigkeit, 'o') # how to define color: https://matplotlib.org/3.1.0/tutorials/colors/colors.html
plt.plot(Mesh,u2, 'o')

# python fängt bei 0 an zu zählen. numerikdata ist ein numpy array, was man folgendermaßen anspricht: arrayname[von:bis reihe, von:bis spalte]. Siehe auch "slicing" in der numpy dokumentation.

x=np.linspace(18000,2400000,1000)

y=u2[0]*(1-(130*x**(-2/3))) #*150
plt.plot(x,y,linestyle=':',color='grey')
ax3.grid(True)
#ax3.minorticks_on()
ax3.set_xlabel('Number of cells',fontsize=16) # [x$10^6$]
ax3.set_ylabel(' u² [(mm/s)²]',fontsize=16) #Averaged difference [\%]
p.xscale("log")
#p.yscale("log")
#ax3.set_xlim((0, 180))
#ax3.set_ylim((-5, 5))

plt.tight_layout()

#plt.show() # damit die erstellte figure auch angezeigt wird
plt.savefig("Vergleich", dpi = 600) 


plt.show()
    



