import numpy as np # das hauptmodul für die Datenanalyse
import os
import sys
from inspect import getsourcefile
os.chdir(os.path.dirname(os.path.abspath(getsourcefile(lambda:0)))) # nur dafür da, das arbeitsverzeichnis auf den Ordner dieses Skripts zu ändern. Wichtig für die relativen Pfade später. Falls das nicht funktioniert, siehe nächste Zeile.
import matplotlib.pyplot as plt  # das modul fürs plotten
from mpl_toolkits import mplot3d  # for plot_surface, meshgrids, etc.
import glob # um mehrere dateien zu laden. aktuell ungenutzt.
import gc # garbage collector

if len(sys.argv) > 1:
    Data1=(sys.argv[1])
    Data2=(sys.argv[2])
    Data3=(sys.argv[3])
    Data4=(sys.argv[4])
    Data5=(sys.argv[5])
    Data6=(sys.argv[6])
    
else:
    print("usage: python contouru.py <file name> <Umax>")
    sys.exit(1)

with open(Data1) as file0:
    data1 = np.genfromtxt(Data1, delimiter=' ', usecols=(0,1)) 
with open(Data2) as file0:
    data2 = np.genfromtxt(Data2, delimiter=' ', usecols=(0,1))
with open(Data3) as file0:
    data3 = np.genfromtxt(Data3, delimiter=' ', usecols=(0,1))
with open(Data4) as file0:
    data4 = np.genfromtxt(Data4, delimiter=' ', usecols=(0,1))
with open(Data5) as file0:
    data5 = np.genfromtxt(Data5, delimiter=' ', usecols=(0,1))
with open(Data6) as file0:
    data6 = np.genfromtxt(Data6, delimiter=' ', usecols=(0,1))
    

### plotting the data

#plt.close('all') #schließt alle offenen plots
gc.collect() # collect dat garbage!

fig3 = plt.figure(figsize=(8,2))
ax3 = plt.axes()

plt.plot(data1[:,0], data1[:,1],'.',color='dodgerblue', label='f=0.0Hz') # how to define color: https://matplotlib.org/3.1.0/tutorials/colors/colors.html
plt.plot(data2[:,0], data2[:,1],'.',color='dodgerblue')
plt.plot(data3[:,0], data3[:,1],'.',color='darkorange', label='f=0.0168Hz')
plt.plot(data4[:,0], data4[:,1],'.',color='darkorange')
plt.plot(data5[:,0], data5[:,1],'.',color='grey', label='f=0.0328Hz')
plt.plot(data6[:,0], data6[:,1],'.',color='grey')
# python fängt bei 0 an zu zählen. numerikdata ist ein numpy array, was man folgendermaßen anspricht: arrayname[von:bis reihe, von:bis spalte]. Siehe auch "slicing" in der numpy dokumentation.

ax3.grid(True)
ax3.set_yticks(np.arange(-90,91,45))
ax3.set_xlabel('time [s]')
ax3.set_ylabel('angle LSC [°]')
ax3.set_xlim((1000, 5000))
ax3.set_ylim((-118, 110))
ax3.legend(loc='lower center',ncol=3, fancybox=True, shadow=True) #bbox_to_anchor=(0.457, 1.05),

plt.tight_layout()

#plt.show() # damit die erstellte figure auch angezeigt wird
plt.savefig("Vergleich.png", dpi = 600) 





